POST api/progression/lettings/detatchdocumentfromguarantor?guarantorId={guarantorId}&documentId={documentId}&personId={personId}
Detatch a document from a landlord. Processes this lettings progression API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| guarantorId |
The tenant Id |
integer |
Required |
| documentId |
The tenant Id |
integer |
Required |
| personId |
The unique identifier of the person resource. |
integer |
Required |
Body Parameters
None.
Response Information
Resource Description
The response returned after the operation completes.
DocumentDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| Url |
The url value. |
string |
None. |
| RequiresAuthentication |
Indicates whether requires authentication is true. |
boolean |
None. |
| ExpiryDate |
The expiry date, expressed as a date and time. |
date |
None. |
| Attachments |
The collection of attachments. |
Collection of DocumentDataContract |
None. |
| ProcessedSuccessfully |
Indicates whether processed successfully is true. |
boolean |
None. |
| ErrorMessage |
The error message value. |
string |
None. |
| IsGenerated |
Indicates whether this item is generated. |
boolean |
None. |
| Roles |
The collection of roles. |
Collection of DocumentRoleDataContract |
None. |
| Properties |
The collection of properties. |
Collection of DocumentPropertyDataContract |
None. |
| Groups |
The collection of groups. |
Collection of DocumentGroupDataContract |
None. |
| FileStream |
The file stream value. |
Stream |
None. |
| Tags |
The collection of tags. |
Collection of TagDataContract |
None. |
| ApprovalStatus |
The approval status value. |
DocumentApprovalDataContract |
None. |
| DocumentType |
The document type value. |
EnumDataContract |
None. |
| DocumentSubType |
The document sub type value. |
EnumDataContract |
None. |
| FileName |
The file name value. |
string |
None. |
| ContentType |
The content type value. |
string |
None. |
| FileExtension |
The file extension value. |
string |
None. |
| Description |
The description value. |
string |
None. |
| FileSize |
The file size value. |
string |
None. |
| CreatedDate |
The created date, expressed as a date and time. |
date |
None. |
| CreatedBy |
The created by value. |
CreatedByDataContract |
None. |
| Id |
The unique identifier of this resource. |
integer |
None. |
Response Formats
application/json
Sample not available.
text/json
Sample not available.